SuperStrict

import "TColor.bmx"

Type TTile
	Field s:string, color:TColor

	Function Create:TTile(s:string, color:TColor=null)
		Local o:TTile = new TTile
			o.s = s
			if color = null then
				color = TColor.Create(128,128,128)
			endif
			o.color = color
		return o
	EndFunction

	Method Copy:TTile()
		Local o:TTile = new TTile
		o.s = self.s
		o.color = self.color
		return o
	EndMethod

	Method Draw(x:float, y:float)
		color.Use()
		DrawText(s, x, y)
	EndMethod

EndType

